Subject: [Tigers] 90 degree oil filter adaptor

From: Terry Lawell via Tigers <[email-masked]>
Date: Thu, 01 Jul 2021 19:33:37 -0500

I purchased a 90 degree oil filter adapter from Summit Racing and when 
it arrived I realized it did not have the adapter for the block, though 
the salesman told me it came with it. Does anyone know where I can get 
the adapter? I think it is 1.16" threads to the block and 13/16" threads 
to the adapter.

Cheers, Terry
_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]